Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class RenderOption

    java.lang.Object
      org.eclipse.birt.report.engine.api.TaskOption
          org.eclipse.birt.report.engine.api.RenderOption

All Implemented Interfaces:
  IRenderOption, ITaskOption

Direct Known Subclasses:
  EXCELRenderOption, HTMLRenderOption, PDFRenderOption, RenderOptionBase

    public class RenderOption

extends TaskOption
implements IRenderOption

Settings for rendering a report to an output format. Currently supported options include format of the request, whether to render HTML with style sheet, etc. Potential future options includes image formats in PDF (vector or bitmap), font embedding options, etc.

The predefined options strings are what BIRT supports. Other options are available depending on custom extensions.

Field Summary

Fields inherited from class org.eclipse.birt.report.engine.api.TaskOption
`options`

Fields inherited from interface org.eclipse.birt.report.engine.api.IRenderOption
`ACTION_HANDLER, APP_BASE_URL, BASE_URL, CLOSE_OUTPUTSTREAM_ON_EXIT, EMITTER_ID, HTML_PAGINATION, IMAGE_HANDLER, LOCALE, OUTPUT_DISPLAY_NONE, OUTPUT_EMITTERID_HTML, OUTPUT_EMITTERID_PDF, OUTPUT_FILE_NAME, OUTPUT_FORMAT, OUTPUT_FORMAT_FO, OUTPUT_FORMAT_HTML, OUTPUT_FORMAT_PDF, OUTPUT_STREAM, RTL_FLAG, SUPPORTED_IMAGE_FORMATS`

Constructor Summary
`RenderOption()` constructor
`RenderOption(IRenderOption options)` Constructor.
`RenderOption(java.util.Map options)` Constructor.

Method Summary
`void` | `closeOutputStreamOnExit(boolean closeOnExit)` Get flag indicates if the output stream needs to be closed on exit.
`IHTMLActionHandler` | `getActionHandle()` Deprecated.
`IHTMLActionHandler` | `getActionHandler()`
`java.lang.String` | `getAppBaseURL()` Returns the app base url for URL images
`java.lang.String` | `getBaseURL()` Returns the base URL for creating an Action URL
`java.lang.String` | `getEmitterID()` Get emitter id.
`IHTMLImageHandler` | `getImageHandle()` Deprecated.
`IHTMLImageHandler` | `getImageHandler()`
`java.lang.String` | `getOutputFileName()` Get name of the output file.
`java.lang.String` | `getOutputFormat()` returns the output format, i.e., html, pdf, etc.
`java.util.Map` | `getOutputSetting()` Deprecated. user should always use the get/set to change the setting.
`java.io.OutputStream` | `getOutputStream()` Get output stream
`java.lang.String` | `getSupportedImageFormats()`
`boolean` | `needCloseOutputStreamOnExit()` If the output stream needs to be closed on exit.
`void` | `setActionHandle(IHTMLActionHandler handler)` Deprecated.
`void` | `setActionHandler(IHTMLActionHandler handler)`
`void` | `setAppBaseURL(java.lang.String appBaseUrl)` Set app base url
`void` | `setBaseURL(java.lang.String baseURL)` sets the base url for action handling
`void` | `setEmitterID(java.lang.String emitterId)` Set emitter id.
`void` | `setImageHandle(IHTMLImageHandler handler)` Deprecated.
`void` | `setImageHandler(IHTMLImageHandler handler)`
`void` | `setOutputFileName(java.lang.String outputFileName)` Set name of the output file.
`void` | `setOutputFormat(java.lang.String format)` Set output format.
`void` | `setOutputStream(java.io.OutputStream ostream)` Set output stream.
`void` | `setSupportedImageFormats(java.lang.String formats)`

Methods inherited from class org.eclipse.birt.report.engine.api.TaskOption
`getBooleanOption, getOption, getOptions, getStringOption, hasOption, setOption`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption
`getOption, getOptions, hasOption, setOption`

Constructor Detail

### RenderOption

    public RenderOption()

  constructor

### RenderOption

    public RenderOption(java.util.Map options)

  Constructor.

  Parameters:
    `options` -

### RenderOption

    public RenderOption(IRenderOption options)

  Constructor.

  Parameters:
    `options` -

Method Detail

### getOutputSetting

    public java.util.Map getOutputSetting()

  Deprecated. user should always use the get/set to change the setting.

  returns the output settings

  Specified by:
    `getOutputSetting` in interface `IRenderOption`
  Returns:
    the output settings

### getOutputFormat

    public java.lang.String getOutputFormat()

  returns the output format, i.e., html, pdf, etc.

  Specified by:
    `getOutputFormat` in interface `IRenderOption`
  Returns:
    Returns the output format

### setOutputFormat

    public void setOutputFormat(java.lang.String format)

  Description copied from interface: `IRenderOption`
  Set output format.

  Specified by:
    `setOutputFormat` in interface `IRenderOption`

### getEmitterID

    public java.lang.String getEmitterID()

  Get emitter id.

  Specified by:
    `getEmitterID` in interface `IRenderOption`
  Returns:
    Returns the emitter id

### setEmitterID

    public void setEmitterID(java.lang.String emitterId)

  Set emitter id.

  Specified by:
    `setEmitterID` in interface `IRenderOption`
  Parameters:
    `emitterId` - emitter id

### setOutputStream

    public void setOutputStream(java.io.OutputStream ostream)

  Description copied from interface: `IRenderOption`
  Set output stream.

  Specified by:
    `setOutputStream` in interface `IRenderOption`

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Get output stream

  Specified by:
    `getOutputStream` in interface `IRenderOption`
  Returns:
    output stream

### setOutputFileName

    public void setOutputFileName(java.lang.String outputFileName)

  Set name of the output file.

  Specified by:
    `setOutputFileName` in interface `IRenderOption`
  Parameters:
    `outputFileName` - name of the output file

### getOutputFileName

    public java.lang.String getOutputFileName()

  Get name of the output file.

  Specified by:
    `getOutputFileName` in interface `IRenderOption`
  Returns:
    output file name

### setSupportedImageFormats

    public void setSupportedImageFormats(java.lang.String formats)

  Specified by:
    `setSupportedImageFormats` in interface `IRenderOption`
  Parameters:
    `formats` - - the image format supported by the browser

### getSupportedImageFormats

    public java.lang.String getSupportedImageFormats()

  Specified by:
    `getSupportedImageFormats` in interface `IRenderOption`
  Returns:
    the image format supported by the browser

### getBaseURL

    public java.lang.String getBaseURL()

  Returns the base URL for creating an Action URL

  Specified by:
    `getBaseURL` in interface `IRenderOption`
  Returns:
    the baseURL.

### setBaseURL

    public void setBaseURL(java.lang.String baseURL)

  sets the base url for action handling

  Specified by:
    `setBaseURL` in interface `IRenderOption`
  Parameters:
    `baseURL` - sets the base URL used for action handling

### getAppBaseURL

    public java.lang.String getAppBaseURL()

  Returns the app base url for URL images

  Specified by:
    `getAppBaseURL` in interface `IRenderOption`
  Returns:
    appBaseUrl

### setAppBaseURL

    public void setAppBaseURL(java.lang.String appBaseUrl)

  Set app base url

  Specified by:
    `setAppBaseURL` in interface `IRenderOption`
  Parameters:
    `appBaseURL` - the app base url

### setActionHandle

    public void setActionHandle(IHTMLActionHandler handler)

  Deprecated.

  Specified by:
    `setActionHandle` in interface `IRenderOption`
  Parameters:
    `handler` -

### setActionHandler

    public void setActionHandler(IHTMLActionHandler handler)

  Specified by:
    `setActionHandler` in interface `IRenderOption`

### getActionHandle

    public IHTMLActionHandler getActionHandle()

  Deprecated.

  Specified by:
    `getActionHandle` in interface `IRenderOption`
  Returns:

### getActionHandler

    public IHTMLActionHandler getActionHandler()

  Specified by:
    `getActionHandler` in interface `IRenderOption`

### setImageHandle

    public void setImageHandle(IHTMLImageHandler handler)

  Deprecated.

  Specified by:
    `setImageHandle` in interface `IRenderOption`
  Parameters:
    `handler` -

### setImageHandler

    public void setImageHandler(IHTMLImageHandler handler)

  Specified by:
    `setImageHandler` in interface `IRenderOption`

### getImageHandle

    public IHTMLImageHandler getImageHandle()

  Deprecated.

  Specified by:
    `getImageHandle` in interface `IRenderOption`
  Returns:

### getImageHandler

    public IHTMLImageHandler getImageHandler()

  Specified by:
    `getImageHandler` in interface `IRenderOption`

### needCloseOutputStreamOnExit

    public boolean needCloseOutputStreamOnExit()

  If the output stream needs to be closed on exit.

### closeOutputStreamOnExit

    public void closeOutputStreamOnExit(boolean closeOnExit)

  Get flag indicates if the output stream needs to be closed on exit.

  Parameters:
    `closeOnExit` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.